Subject: bug#52369: 28.0.90; Assertion failure when running Flycheck unit test suite

From: Philipp Stephani <[email-masked]>
Date: Sat, 11 Dec 2021 13:56:45 +0100

Am Mi., 8. Dez. 2021 um 09:43 Uhr schrieb Philipp Stephani
<[email-masked]>:
>
>
> With the emacs-28 branch (haven't checked other branches so far), an
> assertion failure consistently triggers when running the Flycheck unit
> test suite.  Unfortunately, I haven't been able to narrow down the
> problem any further so far.  To reproduce, clone the Flycheck repository
> from https://github.com/flycheck/flycheck (at commit
> 784f184cdd9f9cb4e3dbb997c09d93e954142842 in my case, though this
> probably doesn't matter much), and run the unit tests like
>
> export EMACS=...
> make init
> make unit
>
> With an Emacs built with --enable-checking, I then get the following
> assertion failure:
>
> [...]
>    passed  302/361  flycheck-set-checker-executable/non-existing-file (0.000481 sec)
>    passed  303/361  flycheck-set-checker-executable/real-executable (0.002321 sec)
>    passed  304/361  flycheck-standard-error-navigation/default-to-t (0.000198 sec)
>
> process.c:6521: Emacs fatal error: assertion failed: 0 <= outfd && outfd < FD_SETSIZE
> make: *** [Makefile:128: unit] Aborted (core dumped)
>

Given that this is a serious bug (undefined behavior), I'd install the
attached patch on the release branch.